liblinux-distribution-perl_0.21-1_all.deb


Advertisement

Description

liblinux-distribution-perl - module for detecting the running Linux distribution

Property Value
Distribution Debian 8 (Jessie)
Repository Debian Main amd64
Package name liblinux-distribution-perl
Package version 0.21
Package release 1
Package architecture all
Package type deb
Installed size 53 B
Download size 8.25 KB
Official Mirror ftp.br.debian.org
Linux::Distribution is a simple module that tries to guess on what Linux
distribution it is running by looking for release's files in /etc. It now
looks for 'lsb-release' first as that should be the most correct and adds
ubuntu support. Secondly, it will look for the distro specific files.

Alternatives

Package Version Architecture Repository
liblinux-distribution-perl_0.21-1_all.deb 0.21 all Debian Main
liblinux-distribution-perl - - -

Requires

Name Value
perl -

Download

Type URL
Binary Package liblinux-distribution-perl_0.21-1_all.deb
Source Package liblinux-distribution-perl

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install liblinux-distribution-perl deb package:
    # sudo apt-get install liblinux-distribution-perl

Files

Path
/usr/share/doc/liblinux-distribution-perl/changelog.Debian.gz
/usr/share/doc/liblinux-distribution-perl/changelog.gz
/usr/share/doc/liblinux-distribution-perl/copyright
/usr/share/man/man3/Linux::Distribution.3pm.gz
/usr/share/perl5/Linux/Distribution.pm

Changelog

2012-03-18 - gregor herrmann <gregoa@debian.org>
liblinux-distribution-perl (0.21-1) unstable; urgency=low
[ Ansgar Burchardt ]
* debian/control: Convert Vcs-* fields to Git.
[ gregor herrmann ]
* New upstream release.
* Switch to "3.0 (quilt)" source format.
* Don't install README anymore.
* debian/copyright: Copyright-Format 1.0, complete upstream copyright
information.
* Add /me to Uploaders.
* Set debhelper compatibility level to 8.
* debian/control: make short description a noun phrase, mentions module
name in long description, and remove outdated list of detected
distributions.
* Bump Standards-Version to 3.9.3 (no changes).
2011-02-04 - TANIGUCHI Takaki <takaki@debian.org>
liblinux-distribution-perl (0.20-1) unstable; urgency=low
* Initial Release. (Closes: #481258)

See Also

Package Description
liblinux-dvb-perl_1.01-2+b4_amd64.deb interface to (some parts of) the Linux DVB API
liblinux-epoll-perl_0.011-1_amd64.deb perl epoll module for O(1) multiplexing
liblinux-inotify2-perl_1.22-1+b1_amd64.deb scalable directory and file change notification
liblinux-io-prio-perl_0.03-2_all.deb interface to Linux ioprio_set(2) and ioprio_get(2)
liblinux-kernelsort-perl_0.01-3_all.deb Perl module for sorting Linux Kernel version strings
liblinux-lvm-perl_0.17-2_all.deb Perl module to access LVM status information
liblinux-pid-perl_0.04-1+b1_amd64.deb wrapper around the getpid() and getppid() C functions
liblinux-prctl-perl_1.5.0-2+b1_amd64.deb Perl extension for controlling process characteristics
liblinux-usermod-perl_0.69-2_all.deb module to modify user and group accounts
liblip-dev_2.0.0-1.2_amd64.deb reliable interpolation of multivariate scattered data
liblip2_2.0.0-1.2_amd64.deb reliable interpolation of multivariate scattered data
liblircclient-dev_0.9.0~pre1-1.2_amd64.deb infra-red remote control support - client library development files
liblircclient0_0.9.0~pre1-1.2_amd64.deb infra-red remote control support - client library
liblist-allutils-perl_0.09-1_all.deb Perl wrapper for modules List::Util and List::MoreUtils
liblist-compare-perl_0.39-1_all.deb Perl module for comparing elements of two or more lists
Advertisement
Advertisement